Exiv2 - Bug #566

RSA licensed MD5.cpp file in exiv2 0.16

25 Jul 2008 07:13 - Andreas Huggel

Status:
Priority:
Assignee:
Category:
Target version:

Closed

Normal
Andreas Huggel
miscellaneous
0.18

Start date:

Due date:

% Done:
Estimated time:

100%
0.00 hour

Description

Reported by Dirk Mueller (SUSE):

Exiv2 ships a copy of a RSA licensed MD5 implementation. This license contains an advertising clause and is therefore incompatible

with the GPL.

I'm attaching a patch that replaces it with a version licensed under the public domain.

History

#1 - 25 Jul 2008 07:44 - Andreas Huggel

r1536

#2 - 17 Dec 2008 09:11 - Andreas Huggel
- % Done changed from 0 to 100

#3 - 18 Dec 2008 18:29 - Andreas Huggel
- Status changed from Resolved to Closed

Files

md5-update.diff

24 Mar 2019

21.8 KB 25 Jul 2008
